KWIN_WARP_POINTER(3)

EXPERIMENTAL_FUNC
kwin_warp_pointer - Warp the pointer to a new location.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_warp_pointer

(KPixCanvas canvas, int x, int y, flag relative, flag discard)

DESCRIPTION
Warp the pointer to a new location.

x   The horizontal position to warp to.

y   The vertical position to warp to.

relative
    If TRUE, the pointer is warped relative to it's current position.

discard
    If TRUE, any pending events are discarded.

RETURN VALUE
TRUE if warping is supported, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/